"""
    EVE Swagger Interface

    An OpenAPI for EVE Online  # noqa: E501

    The version of the OpenAPI document: 1.17
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from esi_client.api_client import ApiClient, Endpoint as _Endpoint
from esi_client.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types
)
from esi_client.model.bad_request import BadRequest
from esi_client.model.error_limited import ErrorLimited
from esi_client.model.forbidden import Forbidden
from esi_client.model.gateway_timeout import GatewayTimeout
from esi_client.model.get_characters_character_id_search_ok import GetCharactersCharacterIdSearchOk
from esi_client.model.internal_server_error import InternalServerError
from esi_client.model.service_unavailable import ServiceUnavailable
from esi_client.model.unauthorized import Unauthorized


class SearchApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client
        self.get_characters_character_id_search_endpoint = _Endpoint(
            settings={
                'response_type': (GetCharactersCharacterIdSearchOk,),
                'auth': [
                    'evesso'
                ],
                'endpoint_path': '/characters/{character_id}/search/',
                'operation_id': 'get_characters_character_id_search',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'categories',
                    'character_id',
                    'search',
                    'accept_language',
                    'datasource',
                    'if_none_match',
                    'language',
                    'strict',
                    'token',
                ],
                'required': [
                    'categories',
                    'character_id',
                    'search',
                ],
                'nullable': [
                ],
                'enum': [
                    'categories',
                    'accept_language',
                    'datasource',
                    'language',
                ],
                'validation': [
                    'categories',
                    'character_id',
                    'search',
                ]
            },
            root_map={
                'validations': {
                    ('categories',): {

                        'max_items': 11,
                        'min_items': 1,
                    },
                    ('character_id',): {

                        'inclusive_minimum': 1,
                    },
                    ('search',): {

                        'min_length': 3,
                    },
                },
                'allowed_values': {
                    ('categories',): {

                        "AGENT": "agent",
                        "ALLIANCE": "alliance",
                        "CHARACTER": "character",
                        "CONSTELLATION": "constellation",
                        "CORPORATION": "corporation",
                        "FACTION": "faction",
                        "INVENTORY_TYPE": "inventory_type",
                        "REGION": "region",
                        "SOLAR_SYSTEM": "solar_system",
                        "STATION": "station",
                        "STRUCTURE": "structure"
                    },
                    ('accept_language',): {

                        "EN": "en",
                        "EN-US": "en-us",
                        "DE": "de",
                        "FR": "fr",
                        "JA": "ja",
                        "RU": "ru",
                        "ZH": "zh",
                        "KO": "ko",
                        "ES": "es"
                    },
                    ('datasource',): {

                        "TRANQUILITY": "tranquility"
                    },
                    ('language',): {

                        "EN": "en",
                        "EN-US": "en-us",
                        "DE": "de",
                        "FR": "fr",
                        "JA": "ja",
                        "RU": "ru",
                        "ZH": "zh",
                        "KO": "ko",
                        "ES": "es"
                    },
                },
                'openapi_types': {
                    'categories':
                        ([str],),
                    'character_id':
                        (int,),
                    'search':
                        (str,),
                    'accept_language':
                        (str,),
                    'datasource':
                        (str,),
                    'if_none_match':
                        (str,),
                    'language':
                        (str,),
                    'strict':
                        (bool,),
                    'token':
                        (str,),
                },
                'attribute_map': {
                    'categories': 'categories',
                    'character_id': 'character_id',
                    'search': 'search',
                    'accept_language': 'Accept-Language',
                    'datasource': 'datasource',
                    'if_none_match': 'If-None-Match',
                    'language': 'language',
                    'strict': 'strict',
                    'token': 'token',
                },
                'location_map': {
                    'categories': 'query',
                    'character_id': 'path',
                    'search': 'query',
                    'accept_language': 'header',
                    'datasource': 'query',
                    'if_none_match': 'header',
                    'language': 'query',
                    'strict': 'query',
                    'token': 'query',
                },
                'collection_format_map': {
                    'categories': 'csv',
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

    def get_characters_character_id_search(
        self,
        categories,
        character_id,
        search,
        **kwargs
    ):
        """Search on a string  # noqa: E501

        Search for entities that match a given sub-string.  --- Alternate route: `/dev/characters/{character_id}/search/`  Alternate route: `/legacy/characters/{character_id}/search/`  Alternate route: `/v3/characters/{character_id}/search/`  --- This route is cached for up to 3600 seconds  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True

        >>> thread = api.get_characters_character_id_search(categories, character_id, search, async_req=True)
        >>> result = thread.get()

        Args:
            categories ([str]): Type of entities to search for
            character_id (int): An EVE character ID
            search (str): The string to search on

        Keyword Args:
            accept_language (str): Language to use in the response. [optional] if omitted the server will use the default value of "en"
            datasource (str): The server name you would like data from. [optional] if omitted the server will use the default value of "tranquility"
            if_none_match (str): ETag from a previous request. A 304 will be returned if this matches the current ETag. [optional]
            language (str): Language to use in the response, takes precedence over Accept-Language. [optional] if omitted the server will use the default value of "en"
            strict (bool): Whether the search should be a strict match. [optional] if omitted the server will use the default value of False
            token (str): Access token to use if unable to set a header. [optional]
            _return_http_data_only (bool): response data without head status
                code and headers. Default is True.
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
            _request_auths (list): set to override the auth_settings for an a single
                request; this effectively ignores the authentication
                in the spec for a single request.
                Default is None
            async_req (bool): execute request asynchronously

        Returns:
            GetCharactersCharacterIdSearchOk
                If the method is called asynchronously, returns the request
                thread.
        """
        kwargs['async_req'] = kwargs.get(
            'async_req', False
        )
        kwargs['_return_http_data_only'] = kwargs.get(
            '_return_http_data_only', True
        )
        kwargs['_preload_content'] = kwargs.get(
            '_preload_content', True
        )
        kwargs['_request_timeout'] = kwargs.get(
            '_request_timeout', None
        )
        kwargs['_check_input_type'] = kwargs.get(
            '_check_input_type', True
        )
        kwargs['_check_return_type'] = kwargs.get(
            '_check_return_type', True
        )
        kwargs['_spec_property_naming'] = kwargs.get(
            '_spec_property_naming', False
        )
        kwargs['_content_type'] = kwargs.get(
            '_content_type')
        kwargs['_host_index'] = kwargs.get('_host_index')
        kwargs['_request_auths'] = kwargs.get('_request_auths', None)
        kwargs['categories'] = \
            categories
        kwargs['character_id'] = \
            character_id
        kwargs['search'] = \
            search
        return self.get_characters_character_id_search_endpoint.call_with_http_info(**kwargs)

