"""
    EVE Swagger Interface

    An OpenAPI for EVE Online  # noqa: E501

    The version of the OpenAPI document: 1.17
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from esi_client.model_utils import (  # noqa: F401
    ApiTypeError,
    ModelComposed,
    ModelNormal,
    ModelSimple,
    cached_property,
    change_keys_js_to_python,
    convert_js_args_to_python_args,
    date,
    datetime,
    file_type,
    none_type,
    validate_get_composed_info,
    OpenApiModel
)
from esi_client.exceptions import ApiAttributeError



class GetCorporationsCorporationIdCustomsOffices200Ok(ModelNormal):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.

    Attributes:
      allowed_values (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          with a capitalized key describing the allowed value and an allowed
          value. These dicts store the allowed enum values.
      attribute_map (dict): The key is attribute name
          and the value is json key in definition.
      discriminator_value_class_map (dict): A dict to go from the discriminator
          variable value to the discriminator class name.
      validations (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          that stores validations for max_length, min_length, max_items,
          min_items, exclusive_maximum, inclusive_maximum, exclusive_minimum,
          inclusive_minimum, and regex.
      additional_properties_type (tuple): A tuple of classes accepted
          as additional properties values.
    """

    allowed_values = {
        ('standing_level',): {
            'BAD': "bad",
            'EXCELLENT': "excellent",
            'GOOD': "good",
            'NEUTRAL': "neutral",
            'TERRIBLE': "terrible",
        },
    }

    validations = {
        ('reinforce_exit_end',): {
            'inclusive_maximum': 23,
            'inclusive_minimum': 0,
        },
        ('reinforce_exit_start',): {
            'inclusive_maximum': 23,
            'inclusive_minimum': 0,
        },
    }

    @cached_property
    def additional_properties_type():
        """
        This must be a method because a model may have properties that are
        of type self, this must run after the class is loaded
        """
        return (bool, date, datetime, dict, float, int, list, str, none_type,)  # noqa: E501

    _nullable = False

    @cached_property
    def openapi_types():
        """
        This must be a method because a model may have properties that are
        of type self, this must run after the class is loaded

        Returns
            openapi_types (dict): The key is attribute name
                and the value is attribute type.
        """
        return {
            'allow_access_with_standings': (bool,),  # noqa: E501
            'allow_alliance_access': (bool,),  # noqa: E501
            'office_id': (int,),  # noqa: E501
            'reinforce_exit_end': (int,),  # noqa: E501
            'reinforce_exit_start': (int,),  # noqa: E501
            'system_id': (int,),  # noqa: E501
            'alliance_tax_rate': (float,),  # noqa: E501
            'bad_standing_tax_rate': (float,),  # noqa: E501
            'corporation_tax_rate': (float,),  # noqa: E501
            'excellent_standing_tax_rate': (float,),  # noqa: E501
            'good_standing_tax_rate': (float,),  # noqa: E501
            'neutral_standing_tax_rate': (float,),  # noqa: E501
            'standing_level': (str,),  # noqa: E501
            'terrible_standing_tax_rate': (float,),  # noqa: E501
        }

    @cached_property
    def discriminator():
        return None


    attribute_map = {
        'allow_access_with_standings': 'allow_access_with_standings',  # noqa: E501
        'allow_alliance_access': 'allow_alliance_access',  # noqa: E501
        'office_id': 'office_id',  # noqa: E501
        'reinforce_exit_end': 'reinforce_exit_end',  # noqa: E501
        'reinforce_exit_start': 'reinforce_exit_start',  # noqa: E501
        'system_id': 'system_id',  # noqa: E501
        'alliance_tax_rate': 'alliance_tax_rate',  # noqa: E501
        'bad_standing_tax_rate': 'bad_standing_tax_rate',  # noqa: E501
        'corporation_tax_rate': 'corporation_tax_rate',  # noqa: E501
        'excellent_standing_tax_rate': 'excellent_standing_tax_rate',  # noqa: E501
        'good_standing_tax_rate': 'good_standing_tax_rate',  # noqa: E501
        'neutral_standing_tax_rate': 'neutral_standing_tax_rate',  # noqa: E501
        'standing_level': 'standing_level',  # noqa: E501
        'terrible_standing_tax_rate': 'terrible_standing_tax_rate',  # noqa: E501
    }

    read_only_vars = {
    }

    _composed_schemas = {}

    @classmethod
    @convert_js_args_to_python_args
    def _from_openapi_data(cls, allow_access_with_standings, allow_alliance_access, office_id, reinforce_exit_end, reinforce_exit_start, system_id, *args, **kwargs):  # noqa: E501
        """GetCorporationsCorporationIdCustomsOffices200Ok - a model defined in OpenAPI

        Args:
            allow_access_with_standings (bool): standing_level and any standing related tax rate only present when this is true
            allow_alliance_access (bool): allow_alliance_access boolean
            office_id (int): unique ID of this customs office
            reinforce_exit_end (int): reinforce_exit_end integer
            reinforce_exit_start (int): Together with reinforce_exit_end, marks a 2-hour period where this customs office could exit reinforcement mode during the day after initial attack
            system_id (int): ID of the solar system this customs office is located in

        Keyword Args:
            _check_type (bool): if True, values for parameters in openapi_types
                                will be type checked and a TypeError will be
                                raised if the wrong type is input.
                                Defaults to True
            _path_to_item (tuple/list): This is a list of keys or values to
                                drill down to the model in received_data
                                when deserializing a response
            _spec_property_naming (bool): True if the variable names in the input data
                                are serialized names, as specified in the OpenAPI document.
                                False if the variable names in the input data
                                are pythonic names, e.g. snake case (default)
            _configuration (Configuration): the instance to use when
                                deserializing a file_type parameter.
                                If passed, type conversion is attempted
                                If omitted no type conversion is done.
            _visited_composed_classes (tuple): This stores a tuple of
                                classes that we have traveled through so that
                                if we see that class again we will not use its
                                discriminator again.
                                When traveling through a discriminator, the
                                composed schema that is
                                is traveled through is added to this set.
                                For example if Animal has a discriminator
                                petType and we pass in "Dog", and the class Dog
                                allOf includes Animal, we move through Animal
                                once using the discriminator, and pick Dog.
                                Then in Dog, we will make an instance of the
                                Animal class but this time we won't travel
                                through its discriminator because we passed in
                                _visited_composed_classes = (Animal,)
            alliance_tax_rate (float): Only present if alliance access is allowed. [optional]  # noqa: E501
            bad_standing_tax_rate (float): bad_standing_tax_rate number. [optional]  # noqa: E501
            corporation_tax_rate (float): corporation_tax_rate number. [optional]  # noqa: E501
            excellent_standing_tax_rate (float): Tax rate for entities with excellent level of standing, only present if this level is allowed, same for all other standing related tax rates. [optional]  # noqa: E501
            good_standing_tax_rate (float): good_standing_tax_rate number. [optional]  # noqa: E501
            neutral_standing_tax_rate (float): neutral_standing_tax_rate number. [optional]  # noqa: E501
            standing_level (str): Access is allowed only for entities with this level of standing or better. [optional]  # noqa: E501
            terrible_standing_tax_rate (float): terrible_standing_tax_rate number. [optional]  # noqa: E501
        """

        _check_type = kwargs.pop('_check_type', True)
        _spec_property_naming = kwargs.pop('_spec_property_naming', True)
        _path_to_item = kwargs.pop('_path_to_item', ())
        _configuration = kwargs.pop('_configuration', None)
        _visited_composed_classes = kwargs.pop('_visited_composed_classes', ())

        self = super(OpenApiModel, cls).__new__(cls)

        if args:
            for arg in args:
                if isinstance(arg, dict):
                    kwargs.update(arg)
                else:
                    raise ApiTypeError(
                        "Invalid positional arguments=%s passed to %s. Remove those invalid positional arguments." % (
                            args,
                            self.__class__.__name__,
                        ),
                        path_to_item=_path_to_item,
                        valid_classes=(self.__class__,),
                    )

        self._data_store = {}
        self._check_type = _check_type
        self._spec_property_naming = _spec_property_naming
        self._path_to_item = _path_to_item
        self._configuration = _configuration
        self._visited_composed_classes = _visited_composed_classes + (self.__class__,)

        self.allow_access_with_standings = allow_access_with_standings
        self.allow_alliance_access = allow_alliance_access
        self.office_id = office_id
        self.reinforce_exit_end = reinforce_exit_end
        self.reinforce_exit_start = reinforce_exit_start
        self.system_id = system_id
        for var_name, var_value in kwargs.items():
            if var_name not in self.attribute_map and \
                        self._configuration is not None and \
                        self._configuration.discard_unknown_keys and \
                        self.additional_properties_type is None:
                # discard variable.
                continue
            setattr(self, var_name, var_value)
        return self

    required_properties = set([
        '_data_store',
        '_check_type',
        '_spec_property_naming',
        '_path_to_item',
        '_configuration',
        '_visited_composed_classes',
    ])

    @convert_js_args_to_python_args
    def __init__(self, allow_access_with_standings, allow_alliance_access, office_id, reinforce_exit_end, reinforce_exit_start, system_id, *args, **kwargs):  # noqa: E501
        """GetCorporationsCorporationIdCustomsOffices200Ok - a model defined in OpenAPI

        Args:
            allow_access_with_standings (bool): standing_level and any standing related tax rate only present when this is true
            allow_alliance_access (bool): allow_alliance_access boolean
            office_id (int): unique ID of this customs office
            reinforce_exit_end (int): reinforce_exit_end integer
            reinforce_exit_start (int): Together with reinforce_exit_end, marks a 2-hour period where this customs office could exit reinforcement mode during the day after initial attack
            system_id (int): ID of the solar system this customs office is located in

        Keyword Args:
            _check_type (bool): if True, values for parameters in openapi_types
                                will be type checked and a TypeError will be
                                raised if the wrong type is input.
                                Defaults to True
            _path_to_item (tuple/list): This is a list of keys or values to
                                drill down to the model in received_data
                                when deserializing a response
            _spec_property_naming (bool): True if the variable names in the input data
                                are serialized names, as specified in the OpenAPI document.
                                False if the variable names in the input data
                                are pythonic names, e.g. snake case (default)
            _configuration (Configuration): the instance to use when
                                deserializing a file_type parameter.
                                If passed, type conversion is attempted
                                If omitted no type conversion is done.
            _visited_composed_classes (tuple): This stores a tuple of
                                classes that we have traveled through so that
                                if we see that class again we will not use its
                                discriminator again.
                                When traveling through a discriminator, the
                                composed schema that is
                                is traveled through is added to this set.
                                For example if Animal has a discriminator
                                petType and we pass in "Dog", and the class Dog
                                allOf includes Animal, we move through Animal
                                once using the discriminator, and pick Dog.
                                Then in Dog, we will make an instance of the
                                Animal class but this time we won't travel
                                through its discriminator because we passed in
                                _visited_composed_classes = (Animal,)
            alliance_tax_rate (float): Only present if alliance access is allowed. [optional]  # noqa: E501
            bad_standing_tax_rate (float): bad_standing_tax_rate number. [optional]  # noqa: E501
            corporation_tax_rate (float): corporation_tax_rate number. [optional]  # noqa: E501
            excellent_standing_tax_rate (float): Tax rate for entities with excellent level of standing, only present if this level is allowed, same for all other standing related tax rates. [optional]  # noqa: E501
            good_standing_tax_rate (float): good_standing_tax_rate number. [optional]  # noqa: E501
            neutral_standing_tax_rate (float): neutral_standing_tax_rate number. [optional]  # noqa: E501
            standing_level (str): Access is allowed only for entities with this level of standing or better. [optional]  # noqa: E501
            terrible_standing_tax_rate (float): terrible_standing_tax_rate number. [optional]  # noqa: E501
        """

        _check_type = kwargs.pop('_check_type', True)
        _spec_property_naming = kwargs.pop('_spec_property_naming', False)
        _path_to_item = kwargs.pop('_path_to_item', ())
        _configuration = kwargs.pop('_configuration', None)
        _visited_composed_classes = kwargs.pop('_visited_composed_classes', ())

        if args:
            for arg in args:
                if isinstance(arg, dict):
                    kwargs.update(arg)
                else:
                    raise ApiTypeError(
                        "Invalid positional arguments=%s passed to %s. Remove those invalid positional arguments." % (
                            args,
                            self.__class__.__name__,
                        ),
                        path_to_item=_path_to_item,
                        valid_classes=(self.__class__,),
                    )

        self._data_store = {}
        self._check_type = _check_type
        self._spec_property_naming = _spec_property_naming
        self._path_to_item = _path_to_item
        self._configuration = _configuration
        self._visited_composed_classes = _visited_composed_classes + (self.__class__,)

        self.allow_access_with_standings = allow_access_with_standings
        self.allow_alliance_access = allow_alliance_access
        self.office_id = office_id
        self.reinforce_exit_end = reinforce_exit_end
        self.reinforce_exit_start = reinforce_exit_start
        self.system_id = system_id
        for var_name, var_value in kwargs.items():
            if var_name not in self.attribute_map and \
                        self._configuration is not None and \
                        self._configuration.discard_unknown_keys and \
                        self.additional_properties_type is None:
                # discard variable.
                continue
            setattr(self, var_name, var_value)
            if var_name in self.read_only_vars:
                raise ApiAttributeError(f"`{var_name}` is a read-only attribute. Use `from_openapi_data` to instantiate "
                                     f"class with read only attributes.")
