"""
    EVE Swagger Interface

    An OpenAPI for EVE Online  # noqa: E501

    The version of the OpenAPI document: 1.17
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from esi_client.model_utils import (  # noqa: F401
    ApiTypeError,
    ModelComposed,
    ModelNormal,
    ModelSimple,
    cached_property,
    change_keys_js_to_python,
    convert_js_args_to_python_args,
    date,
    datetime,
    file_type,
    none_type,
    validate_get_composed_info,
    OpenApiModel
)
from esi_client.exceptions import ApiAttributeError



class GetCorporationsCorporationIdOrdersHistory200Ok(ModelNormal):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.

    Attributes:
      allowed_values (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          with a capitalized key describing the allowed value and an allowed
          value. These dicts store the allowed enum values.
      attribute_map (dict): The key is attribute name
          and the value is json key in definition.
      discriminator_value_class_map (dict): A dict to go from the discriminator
          variable value to the discriminator class name.
      validations (dict): The key is the tuple path to the attribute
          and the for var_name this is (var_name,). The value is a dict
          that stores validations for max_length, min_length, max_items,
          min_items, exclusive_maximum, inclusive_maximum, exclusive_minimum,
          inclusive_minimum, and regex.
      additional_properties_type (tuple): A tuple of classes accepted
          as additional properties values.
    """

    allowed_values = {
        ('range',): {
            '1': "1",
            '10': "10",
            '2': "2",
            '20': "20",
            '3': "3",
            '30': "30",
            '4': "4",
            '40': "40",
            '5': "5",
            'REGION': "region",
            'SOLARSYSTEM': "solarsystem",
            'STATION': "station",
        },
        ('state',): {
            'CANCELLED': "cancelled",
            'EXPIRED': "expired",
        },
    }

    validations = {
        ('wallet_division',): {
            'inclusive_maximum': 7,
            'inclusive_minimum': 1,
        },
    }

    @cached_property
    def additional_properties_type():
        """
        This must be a method because a model may have properties that are
        of type self, this must run after the class is loaded
        """
        return (bool, date, datetime, dict, float, int, list, str, none_type,)  # noqa: E501

    _nullable = False

    @cached_property
    def openapi_types():
        """
        This must be a method because a model may have properties that are
        of type self, this must run after the class is loaded

        Returns
            openapi_types (dict): The key is attribute name
                and the value is attribute type.
        """
        return {
            'duration': (int,),  # noqa: E501
            'issued': (datetime,),  # noqa: E501
            'location_id': (int,),  # noqa: E501
            'order_id': (int,),  # noqa: E501
            'price': (float,),  # noqa: E501
            'range': (str,),  # noqa: E501
            'region_id': (int,),  # noqa: E501
            'state': (str,),  # noqa: E501
            'type_id': (int,),  # noqa: E501
            'volume_remain': (int,),  # noqa: E501
            'volume_total': (int,),  # noqa: E501
            'wallet_division': (int,),  # noqa: E501
            'escrow': (float,),  # noqa: E501
            'is_buy_order': (bool,),  # noqa: E501
            'issued_by': (int,),  # noqa: E501
            'min_volume': (int,),  # noqa: E501
        }

    @cached_property
    def discriminator():
        return None


    attribute_map = {
        'duration': 'duration',  # noqa: E501
        'issued': 'issued',  # noqa: E501
        'location_id': 'location_id',  # noqa: E501
        'order_id': 'order_id',  # noqa: E501
        'price': 'price',  # noqa: E501
        'range': 'range',  # noqa: E501
        'region_id': 'region_id',  # noqa: E501
        'state': 'state',  # noqa: E501
        'type_id': 'type_id',  # noqa: E501
        'volume_remain': 'volume_remain',  # noqa: E501
        'volume_total': 'volume_total',  # noqa: E501
        'wallet_division': 'wallet_division',  # noqa: E501
        'escrow': 'escrow',  # noqa: E501
        'is_buy_order': 'is_buy_order',  # noqa: E501
        'issued_by': 'issued_by',  # noqa: E501
        'min_volume': 'min_volume',  # noqa: E501
    }

    read_only_vars = {
    }

    _composed_schemas = {}

    @classmethod
    @convert_js_args_to_python_args
    def _from_openapi_data(cls, duration, issued, location_id, order_id, price, range, region_id, state, type_id, volume_remain, volume_total, wallet_division, *args, **kwargs):  # noqa: E501
        """GetCorporationsCorporationIdOrdersHistory200Ok - a model defined in OpenAPI

        Args:
            duration (int): Number of days the order was valid for (starting from the issued date). An order expires at time issued + duration
            issued (datetime): Date and time when this order was issued
            location_id (int): ID of the location where order was placed
            order_id (int): Unique order ID
            price (float): Cost per unit for this order
            range (str): Valid order range, numbers are ranges in jumps
            region_id (int): ID of the region where order was placed
            state (str): Current order state
            type_id (int): The type ID of the item transacted in this order
            volume_remain (int): Quantity of items still required or offered
            volume_total (int): Quantity of items required or offered at time order was placed
            wallet_division (int): The corporation wallet division used for this order

        Keyword Args:
            _check_type (bool): if True, values for parameters in openapi_types
                                will be type checked and a TypeError will be
                                raised if the wrong type is input.
                                Defaults to True
            _path_to_item (tuple/list): This is a list of keys or values to
                                drill down to the model in received_data
                                when deserializing a response
            _spec_property_naming (bool): True if the variable names in the input data
                                are serialized names, as specified in the OpenAPI document.
                                False if the variable names in the input data
                                are pythonic names, e.g. snake case (default)
            _configuration (Configuration): the instance to use when
                                deserializing a file_type parameter.
                                If passed, type conversion is attempted
                                If omitted no type conversion is done.
            _visited_composed_classes (tuple): This stores a tuple of
                                classes that we have traveled through so that
                                if we see that class again we will not use its
                                discriminator again.
                                When traveling through a discriminator, the
                                composed schema that is
                                is traveled through is added to this set.
                                For example if Animal has a discriminator
                                petType and we pass in "Dog", and the class Dog
                                allOf includes Animal, we move through Animal
                                once using the discriminator, and pick Dog.
                                Then in Dog, we will make an instance of the
                                Animal class but this time we won't travel
                                through its discriminator because we passed in
                                _visited_composed_classes = (Animal,)
            escrow (float): For buy orders, the amount of ISK in escrow. [optional]  # noqa: E501
            is_buy_order (bool): True if the order is a bid (buy) order. [optional]  # noqa: E501
            issued_by (int): The character who issued this order. [optional]  # noqa: E501
            min_volume (int): For buy orders, the minimum quantity that will be accepted in a matching sell order. [optional]  # noqa: E501
        """

        _check_type = kwargs.pop('_check_type', True)
        _spec_property_naming = kwargs.pop('_spec_property_naming', True)
        _path_to_item = kwargs.pop('_path_to_item', ())
        _configuration = kwargs.pop('_configuration', None)
        _visited_composed_classes = kwargs.pop('_visited_composed_classes', ())

        self = super(OpenApiModel, cls).__new__(cls)

        if args:
            for arg in args:
                if isinstance(arg, dict):
                    kwargs.update(arg)
                else:
                    raise ApiTypeError(
                        "Invalid positional arguments=%s passed to %s. Remove those invalid positional arguments." % (
                            args,
                            self.__class__.__name__,
                        ),
                        path_to_item=_path_to_item,
                        valid_classes=(self.__class__,),
                    )

        self._data_store = {}
        self._check_type = _check_type
        self._spec_property_naming = _spec_property_naming
        self._path_to_item = _path_to_item
        self._configuration = _configuration
        self._visited_composed_classes = _visited_composed_classes + (self.__class__,)

        self.duration = duration
        self.issued = issued
        self.location_id = location_id
        self.order_id = order_id
        self.price = price
        self.range = range
        self.region_id = region_id
        self.state = state
        self.type_id = type_id
        self.volume_remain = volume_remain
        self.volume_total = volume_total
        self.wallet_division = wallet_division
        for var_name, var_value in kwargs.items():
            if var_name not in self.attribute_map and \
                        self._configuration is not None and \
                        self._configuration.discard_unknown_keys and \
                        self.additional_properties_type is None:
                # discard variable.
                continue
            setattr(self, var_name, var_value)
        return self

    required_properties = set([
        '_data_store',
        '_check_type',
        '_spec_property_naming',
        '_path_to_item',
        '_configuration',
        '_visited_composed_classes',
    ])

    @convert_js_args_to_python_args
    def __init__(self, duration, issued, location_id, order_id, price, range, region_id, state, type_id, volume_remain, volume_total, wallet_division, *args, **kwargs):  # noqa: E501
        """GetCorporationsCorporationIdOrdersHistory200Ok - a model defined in OpenAPI

        Args:
            duration (int): Number of days the order was valid for (starting from the issued date). An order expires at time issued + duration
            issued (datetime): Date and time when this order was issued
            location_id (int): ID of the location where order was placed
            order_id (int): Unique order ID
            price (float): Cost per unit for this order
            range (str): Valid order range, numbers are ranges in jumps
            region_id (int): ID of the region where order was placed
            state (str): Current order state
            type_id (int): The type ID of the item transacted in this order
            volume_remain (int): Quantity of items still required or offered
            volume_total (int): Quantity of items required or offered at time order was placed
            wallet_division (int): The corporation wallet division used for this order

        Keyword Args:
            _check_type (bool): if True, values for parameters in openapi_types
                                will be type checked and a TypeError will be
                                raised if the wrong type is input.
                                Defaults to True
            _path_to_item (tuple/list): This is a list of keys or values to
                                drill down to the model in received_data
                                when deserializing a response
            _spec_property_naming (bool): True if the variable names in the input data
                                are serialized names, as specified in the OpenAPI document.
                                False if the variable names in the input data
                                are pythonic names, e.g. snake case (default)
            _configuration (Configuration): the instance to use when
                                deserializing a file_type parameter.
                                If passed, type conversion is attempted
                                If omitted no type conversion is done.
            _visited_composed_classes (tuple): This stores a tuple of
                                classes that we have traveled through so that
                                if we see that class again we will not use its
                                discriminator again.
                                When traveling through a discriminator, the
                                composed schema that is
                                is traveled through is added to this set.
                                For example if Animal has a discriminator
                                petType and we pass in "Dog", and the class Dog
                                allOf includes Animal, we move through Animal
                                once using the discriminator, and pick Dog.
                                Then in Dog, we will make an instance of the
                                Animal class but this time we won't travel
                                through its discriminator because we passed in
                                _visited_composed_classes = (Animal,)
            escrow (float): For buy orders, the amount of ISK in escrow. [optional]  # noqa: E501
            is_buy_order (bool): True if the order is a bid (buy) order. [optional]  # noqa: E501
            issued_by (int): The character who issued this order. [optional]  # noqa: E501
            min_volume (int): For buy orders, the minimum quantity that will be accepted in a matching sell order. [optional]  # noqa: E501
        """

        _check_type = kwargs.pop('_check_type', True)
        _spec_property_naming = kwargs.pop('_spec_property_naming', False)
        _path_to_item = kwargs.pop('_path_to_item', ())
        _configuration = kwargs.pop('_configuration', None)
        _visited_composed_classes = kwargs.pop('_visited_composed_classes', ())

        if args:
            for arg in args:
                if isinstance(arg, dict):
                    kwargs.update(arg)
                else:
                    raise ApiTypeError(
                        "Invalid positional arguments=%s passed to %s. Remove those invalid positional arguments." % (
                            args,
                            self.__class__.__name__,
                        ),
                        path_to_item=_path_to_item,
                        valid_classes=(self.__class__,),
                    )

        self._data_store = {}
        self._check_type = _check_type
        self._spec_property_naming = _spec_property_naming
        self._path_to_item = _path_to_item
        self._configuration = _configuration
        self._visited_composed_classes = _visited_composed_classes + (self.__class__,)

        self.duration = duration
        self.issued = issued
        self.location_id = location_id
        self.order_id = order_id
        self.price = price
        self.range = range
        self.region_id = region_id
        self.state = state
        self.type_id = type_id
        self.volume_remain = volume_remain
        self.volume_total = volume_total
        self.wallet_division = wallet_division
        for var_name, var_value in kwargs.items():
            if var_name not in self.attribute_map and \
                        self._configuration is not None and \
                        self._configuration.discard_unknown_keys and \
                        self.additional_properties_type is None:
                # discard variable.
                continue
            setattr(self, var_name, var_value)
            if var_name in self.read_only_vars:
                raise ApiAttributeError(f"`{var_name}` is a read-only attribute. Use `from_openapi_data` to instantiate "
                                     f"class with read only attributes.")
